astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- VO Simple Cone Search (`astroquery.vo_conesearch`) »
- search_all

# search_all

astroquery.vo_conesearch.conesearch.search_all(*args, **kwargs)

  Perform Cone Search and returns the results of all successful queries.

  Warning

  Could potentially take up significant run time and computing resources.

  Parameters:
    args, kwargs

      Arguments and keywords accepted by `conesearch()`.

  Returns:
    result dict of `astropy.io.votable.tree.TableElement` objects

      A dictionary of tables from successful VO service requests, with keys being the access URLs. If none is successful, an empty dictionary is returned.

  Raises:
    ConeSearchError

      When invalid inputs are passed into Cone Search.